﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace Barbar.MapReport.Common.Drawing.Commands {
  [XmlType(Namespace = Constants.XmlNamespace)]
  [Serializable]
  public abstract class AddRegionsCommand : DrawingCommand {
    private RegionOptions m_RegionOptions;

    public RegionOptions RegionOptions {
      get { return m_RegionOptions; }
      set { m_RegionOptions = value; }
    }
  }
}
