﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Barbar.MapReport.Common.Drawing {
  public class MarkerBubbleBehavior {
    private string m_DescriptionTemplate;
    private bool m_ShowOnMouseOver;

    public MarkerBubbleBehavior() {
    }

    public MarkerBubbleBehavior(string descriptionTemplate) {
      if (String.IsNullOrEmpty(descriptionTemplate))
        throw new ArgumentNullException("descriptionTemplate");
    }

    public string DescriptionTemplate {
      get { return m_DescriptionTemplate; }
      set { m_DescriptionTemplate = value; }
    }

    public bool ShowOnMouseOver {
      get { return m_ShowOnMouseOver; }
      set { m_ShowOnMouseOver = value; }
    }
  }
}
