﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Barbar.MapReport.Common.Drawing {
  [Serializable]
  public class PolygonBehaviorRedirect : PolygonBehavior {
    private string m_Url;

    public PolygonBehaviorRedirect(string url) {
      if (String.IsNullOrEmpty(url))
        throw new ArgumentNullException("url");
      m_Url = url;
    }

    public string Url {
      get { return m_Url; }
      set { m_Url = value; }
    }
  }
}
