﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Barbar.MapReport.Common.Drawing {
  [Serializable]
  public class RegionOptions {
    private PolygonBehavior m_PolygonBehavior;
    private int m_CategoriesCount = 5;
    private float m_Opacity = 0.5f;

    private static RegionOptions _Default = new RegionOptions();

    public static RegionOptions Default {
      get { return _Default; }
    }

    public RegionOptions() {
    }

    public PolygonBehavior PolygonBehavior {
      get { return m_PolygonBehavior; }
      set { m_PolygonBehavior = value; }
    }

    public int CategoriesCount {
      get { return m_CategoriesCount; }
      set { m_CategoriesCount = value; }
    }

    public float Opacity {
      get { return m_Opacity; }
      set { m_Opacity = value; }
    }
  }
}
