﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace Barbar.MapReport.Configuration {
  public class GoogleKeyProviderElement : ConfigurationElement {
    [ConfigurationProperty("defaultGoogleKey")]
    public string DefaultGoogleKey {
      get { return (string)this["defaultGoogleKey"]; }
      set { this["defaultGoogleKey"] = value; }
    }

    [ConfigurationProperty("providers")]
    public ProviderSettingsCollection Providers {
      get { return (ProviderSettingsCollection)this["providers"]; }
      set { this["providers"] = value; }
    }
  }
}
