﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Configuration;

namespace Barbar.MapReport.Configuration {
  public class RegionGeometryProviderElement : ConfigurationElement {
    [ConfigurationProperty("defaultProvider", DefaultValue = "")]
    public string DefaultProvider {
      get { return (string)this["defaultProvider"]; }
      set { this["defaultProvider"] = value; }
    }

    [ConfigurationProperty("providers")]
    public ProviderSettingsCollection Providers {
      get { return (ProviderSettingsCollection)this["providers"]; }
      set { this["providers"] = value; }
    }
  }
}
