﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Barbar.MapReport.DataSource.Query {
  public class RegionHasParent : RegionCriteria {
    private string m_ParentId;

    public string ParentId {
      get { return m_ParentId; }
      set { m_ParentId = value; }
    }

    internal override bool Evaluate(Region region) {
      return (region.Parent != null && String.Compare(region.Parent.Id, m_ParentId, StringComparison.OrdinalIgnoreCase) == 0);
    }
  }
}
