﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using Barbar.MapReport.Common;

namespace Barbar.MapReport.HtmlRender.Facade {
  [XmlType(Namespace = Constants.XmlNamespace)]
  public class RenderHtmlFragmentResponse : RenderResponse {
    private MapHtmlFragment m_HtmlFragment;

    public MapHtmlFragment HtmlFragment {
      get { return m_HtmlFragment; }
      set { m_HtmlFragment = value; }
    }

    public RenderHtmlFragmentResponse() {
    }

    public RenderHtmlFragmentResponse(MapHtmlFragment fragment) {
      m_HtmlFragment = fragment;
    }
  }
}
