﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace Barbar.MapReport.HtmlRender {
  /// <summary>
  /// Typ ovladaciho prvku pro pohyb a zoomovani mapy
  /// </summary>
  [XmlTypeAttribute(Namespace = "http://codeplex.com/MapReport/Service.asmx")]
  public enum MapControlType : int {
    /// <summary>
    /// Bez ovladaciho prvku
    /// </summary>
    None = 0,
    /// <summary>
    /// Zjednodusena verze
    /// </summary>
    Small = 1,
    /// <summary>
    /// Velka verze
    /// </summary>
    Large = 2
  }
}
