using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using System.Collections.ObjectModel;

namespace Barbar.MapReport.HtmlRender {
  /// <summary>
  /// Trda reprezentujc vstupn html
  /// </summary>
  [XmlTypeAttribute(Namespace = "http://codeplex.com/MapReport/Service.asmx")]
  public class MapHtmlFragment {
    private string m_MapElement;
    private Collection<string> m_LegendElements = new Collection<string>();

    /// <summary>
    /// Mapa - html div element
    /// </summary>
    public string MapElement {
      get { return m_MapElement; }
      set { m_MapElement = value; }
    }
    
    /// <summary>
    /// Popisek (automat. generovan)
    /// </summary>
    public Collection<string> LegendElements {
      get { return m_LegendElements; }
    }
  }
}
