﻿using System;
using System.Collections.Generic;
using System.Text;
using Barbar.MapReport.Common.Drawing.Commands;
using Barbar.MapReport.Common.Drawing;
using Barbar.MapReport.HtmlRender.Operations.Regions;

namespace Barbar.MapReport.HtmlRender.Operations {
  internal class AddRegionsWithFixColorOperation : RenderBaseOperation, IServerCallbackOperation {
    private AddRegionsWithFixColorCommand m_Command;

    public AddRegionsWithFixColorOperation(AddRegionsWithFixColorCommand command) {
      m_Command = command;
    }

    #region RenderBaseOperation Members

    protected override void RenderInternal(RenderingContext context) {
    }

    #endregion

    #region IServerCallbackOperation Members

    public DataLocation DataLocation {
      get {  return m_Command.DataLocation; }
    }

    public MapCallbackService CallbackService {
      get { return new FixColorRegionCallbackService(); }
    }

    public object Value {
      get { return new RegionWithFixColorData(m_Command); }
    }

    #endregion
  }
}
