using System;
using System.Collections.Generic;
using System.Text;
using System.Drawing;
using System.Xml.Serialization;

namespace Barbar.MapReport.HtmlRender.Operations.Legends {
  [Serializable]
  internal class LegendRange {
    private decimal m_From;
    private decimal m_To;
    private decimal m_Total;
    private Color m_Color;

    public LegendRange() {
    }

    public virtual decimal From {
      get { return m_From; }
      set { m_From = value; }
    }

    public virtual decimal To {
      get { return m_To; }
      set { m_To = value; }
    }

    public virtual decimal Total {
      get { return m_Total; }
      set { m_Total = value; }
    }

    public virtual Color Color {
      get { return m_Color; }
      set { m_Color = value; }
    }
  }
}
