using System;
using System.Collections.Generic;
using System.Text;

namespace Barbar.MapReport.PolygonReducer {
  internal class Node : Point {
    private List<Node> m_AdjectNodes = new List<Node>();
    private List<PointRef> m_Points = new List<PointRef>();

    public List<Node> AdjectNodes {
      get { return m_AdjectNodes; }
    }

    public List<PointRef> Points {
      get { return m_Points; }
    }

    public void AddAdjectNode(Node node) {
      if (!m_AdjectNodes.Contains(node))
        m_AdjectNodes.Add(node);
      if (!node.AdjectNodes.Contains(this))
        node.AdjectNodes.Add(this);
    }

     public Node(decimal x, decimal y, decimal z) : base(x,y,z) {
    }
  }
}
