using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;
using System.IO;

public partial class MasterPage : System.Web.UI.MasterPage {
  protected void Page_Load(object sender, EventArgs e) {
    string aspxPath = Server.MapPath(Request.FilePath);
    string sourcePath = aspxPath + ".cs";
    markupHighlighter.Text = File.ReadAllText(aspxPath);
    codeHighlighter.Text = File.ReadAllText(sourcePath);

    MapReportDemoPage demoPage = Page as MapReportDemoPage;
    if (demoPage != null) {
      markupHighlighter.Visible = demoPage.ShowSourceCode;
      codeHighlighter.Visible = demoPage.ShowSourceCode;
    }
  }
}
