﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace Barbar.MapReport.Common.Drawing.Commands {
  [XmlType(Namespace=Constants.XmlNamespace)]
  [XmlInclude(typeof(AddDynamicValueIndicatorsCommand))]
  [XmlInclude(typeof(AddGraphsCommand))]
  [XmlInclude(typeof(AddLinesCommand))]
  [XmlInclude(typeof(AddRegionsWithBusinessProcessingCommand))]
  [XmlInclude(typeof(AddRegionsWithFixColorCommand))]
  [XmlInclude(typeof(AddValueIndicatorsCommand))]
  [Serializable]
  public abstract class DrawingCommand {
    public abstract void Render(IRenderer renderer);
  }
}
