using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;

namespace Barbar.MapReport.Common.Drawing {
  /// <summary>
  /// Chovn vuci myi
  /// </summary>
  [XmlType(Namespace = Constants.XmlNamespace)]
  public enum DynamicBehavior : int {
    /// <summary>
    /// Nereaguje na my
    /// </summary>
    None = 0,
    /// <summary>
    /// Po prejet kurzorem nad ovldac prvek se zobraz bublina
    /// </summary>
    ShowBubbleOnMouseOver = 1,
    /// <summary>
    /// Po kliknut na ovldac prvek se zobraz bublina
    /// </summary>
    ShowBubbleOnClick = 2,
    /// <summary>
    /// Po prejet kurzorem nad ovldac prvek se zobraz bublina, a po kliknut se otevre okno s hyperlinkem
    /// </summary>
    ShowBubbleOnMouseOverAndRedirectOnClick = 3,
    /// <summary>
    /// Po kliknut se otevre nov okno s hyperlinkem
    /// </summary>
    RedirectOnClick = 4
  }
}
