﻿using System;
using System.Collections.Generic;
using System.Text;
using Barbar.MapReport.Common.Drawing.Commands;

namespace Barbar.MapReport.Common.Drawing {
  public interface IRenderer {
    void AddGraphs(AddGraphsCommand addGraphsCommand);
    void AddLines(AddLinesCommand addLinesCommand);
    void AddRegionsWithBusinessProcessing(AddRegionsWithBusinessProcessingCommand addRegionsWithBusinessProcessingCommand);
    void AddRegionsWithFixColor(AddRegionsWithFixColorCommand addRegionsWithFixColorCommand);
    void AddValueIndicators(AddValueIndicatorsCommand addValueIndicatorsCommand);
    void AddDynamicValueIndicators(AddDynamicValueIndicatorsCommand addDynamicValueIndicatorsCommand);
  }
}
