﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Barbar.MapReport.Common.Drawing {
  public class MarkerRedirectBehavior {
    private string m_NavigateUrl;

    public MarkerRedirectBehavior() {
    }

    public MarkerRedirectBehavior(string navigateUrl) {
      if (String.IsNullOrEmpty(navigateUrl))
        throw new ArgumentNullException("navigateUrl");
    }

    public string NavigateUrl {
      get { return m_NavigateUrl; }
      set { m_NavigateUrl = value; }
    }
  }
}
