using System;
using System.Collections.Generic;
using System.Text;

namespace Barbar.MapReport.Common {
  /// <summary>
  /// ctvercov ohranicen geografickho polygonu
  /// </summary>
  public interface IGeoBound {
    /// <summary>
    /// nejservernej/nejvchodnej souradnice
    /// </summary>
    IGeoPoint Northeast { get; }
    /// <summary>
    /// nejjinej/nejzpadnej souradnice
    /// </summary>
    IGeoPoint Southwest { get; }
  }
}
