﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Runtime.Serialization;

namespace Barbar.MapReport.DataSource {
  [Serializable]
  public class DataSourceException : Exception {
    /// <summary>
    /// Výchozí konstruktor
    /// </summary>
    public DataSourceException() {
    }

    /// <summary>
    /// Výchozí konstruktor
    /// </summary>
    /// <param name="message"></param>
    public DataSourceException(string message)
      : base(message) {
    }

    /// <summary>
    /// Výchozí konstruktor
    /// </summary>
    /// <param name="message"></param>
    /// <param name="innerException"></param>
    public DataSourceException(string message, Exception innerException)
      : base(message, innerException) {
    }


    /// <summary>
    /// Serializařní konstruktor
    /// </summary>
    /// <param name="info"></param>
    /// <param name="context"></param>
    protected DataSourceException(SerializationInfo info, StreamingContext context)
      : base(info, context) {
    }
  }
}
