﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.Xml.Serialization;

namespace Barbar.MapReport.DataSource.Entities {
  [XmlType(TypeName = "Region", Namespace = Constants.DataSourceXmlNamespace)]
  public class RawRegion : IRawRegion {
    private string m_Id;
    private string m_ParentId;
    private string m_Name;

    [XmlAttribute(AttributeName = "id_Region")]
    public string Id {
      get { return m_Id; }
      set { m_Id = value; }
    }

    [XmlAttribute(AttributeName = "id_Parent")]
    public string ParentId {
      get { return m_ParentId; }
      set { m_ParentId = value; }
    }

    [XmlAttribute(AttributeName="Name")]
    public string Name {
      get { return m_Name; }
      set { m_Name = value; }
    }
  }
}
