﻿using System;
using System.Collections.Generic;
using System.Text;
using System.Xml.Serialization;
using Barbar.MapReport.Common;

namespace Barbar.MapReport.HtmlRender.Facade {
  [XmlType(Namespace=Constants.XmlNamespace)]
  [XmlInclude(typeof(RenderHtmlPageRequest))]
  public class RenderHtmlFragmentRequest {
    private RenderSettings m_RenderSettings;
    private string m_ContextId;

    public string ContextId {
      get { return m_ContextId; }
      set { m_ContextId = value; }
    }

    public RenderSettings RenderSettings {
      get { return m_RenderSettings; }
      set { m_RenderSettings = value; }
    }

    internal virtual RenderResponse ProcessResponse(MapHtmlFragment fragment) {
      return new RenderHtmlFragmentResponse(fragment);
    }
  }
}
