﻿using System;
using System.Collections.Generic;
using System.Text;
using JsonSharp;

namespace Barbar.MapReport.HtmlRender {
  internal class JavaScriptFunction {
    private string m_FunctionName;

    public string FunctionName {
      get { return m_FunctionName; }
    }

    private JavaScriptFunction(string functionName) {
      m_FunctionName = functionName;
    }

    public static JavaScriptFunction AddLine = new JavaScriptFunction("rptAddLine");
    public static JavaScriptFunction AddRegion = new JavaScriptFunction("AddRegion");
    public static JavaScriptFunction AddGraph = new JavaScriptFunction("rptAddGraph");
    public static JavaScriptFunction SetValueIndicators = new JavaScriptFunction("SetValueIndicators");
    public static JavaScriptFunction SetValueIndicatorHandlerUrl = new JavaScriptFunction("SetValueIndicatorHandlerUrl");
    public static JavaScriptFunction SetServerCallbackData = new JavaScriptFunction("rptSetServerCallbackData");
    public static JavaScriptFunction RegisterServerCallback = new JavaScriptFunction("rptRegisterServerCallback");
    public static JavaScriptFunction CreateMapMarker = new JavaScriptFunction("rptCreateMapMarker");
    public static JavaScriptFunction TriggerMoveEnd = new JavaScriptFunction("rptTriggerMoveEnd");
  }
}
